AOMedia AV1 Codec: aom_codec_cx_pkt Struct Reference

| AOMedia AV1 Codec

aom_codec_cx_pkt Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

Encoder output packet. More...

`#include <aom_encoder.h>`

## Data Fields
enum aom_codec_cx_pkt_kind | kind
union { |
struct { |
void * buf |
size_t sz |
aom_codec_pts_t pts |
| time stamp to show frame (in timebase units)
unsigned long duration |
| duration to show frame (in timebase units)
aom_codec_frame_flags_t flags |
int partition_id |
| the partition id defines the decoding order of the partitions. Only applicable when "output partition" mode is enabled. First partition has id 0.
size_t vis_frame_size |
| size of the visible frame in this packet
} frame
aom_fixed_buf_t twopass_stats |
aom_fixed_buf_t firstpass_mb_stats |
struct aom_psnr_pkt { |
unsigned int samples [4] |
uint64_t sse [4] |
double psnr [4] |
unsigned int samples_hbd [4] |
| Number of samples, total/y/u/v when input bit-depth < stream bit-depth.
uint64_t sse_hbd [4] |
| sum squared error, total/y/u/v when input bit-depth < stream bit-depth.
double psnr_hbd [4] |
| PSNR, total/y/u/v when input bit-depth < stream bit-depth.
} psnr
aom_fixed_buf_t raw |
} | data

## Detailed Description

Encoder output packet.

This structure contains the different kinds of output data the encoder may produce while compressing a frame.

## Field Documentation

## ◆ kind

enum aom_codec_cx_pkt_kind aom_codec_cx_pkt::kind

packet variant

## ◆ buf

void* aom_codec_cx_pkt::buf

compressed data buffer

## ◆ sz

size_t aom_codec_cx_pkt::sz

length of compressed data

## ◆ flags

aom_codec_frame_flags_t aom_codec_cx_pkt::flags

flags for this frame

## ◆ [struct]

struct { ... } aom_codec_cx_pkt::frame

data for compressed frame packet

## ◆ twopass_stats

aom_fixed_buf_t aom_codec_cx_pkt::twopass_stats

data for two-pass packet

## ◆ firstpass_mb_stats

aom_fixed_buf_t aom_codec_cx_pkt::firstpass_mb_stats

first pass mb packet

## ◆ samples

unsigned int aom_codec_cx_pkt::samples[4]

Number of samples, total/y/u/v

## ◆ sse

uint64_t aom_codec_cx_pkt::sse[4]

sum squared error, total/y/u/v

## ◆ psnr [1/2]

double aom_codec_cx_pkt::psnr[4]

PSNR, total/y/u/v

## ◆ [struct] [2/2]

struct { ... } ::aom_psnr_pkt aom_codec_cx_pkt::psnr

data for PSNR packet

## ◆ raw

aom_fixed_buf_t aom_codec_cx_pkt::raw

data for arbitrary packets

## ◆ [union]

union { ... } aom_codec_cx_pkt::data

packet data

The documentation for this struct was generated from the following file:

- aom/aom_encoder.h